Update to gentoo-0.11.33; from maintainer Jim Geovedi

Bugfixes, French translation, system-wide config file in ${SYSCONFDIR}
This commit is contained in:
pvalchev 2002-09-04 04:35:19 +00:00
parent 748f151d89
commit 515b412a80
6 changed files with 173 additions and 15 deletions

View File

@ -1,19 +1,15 @@
# $OpenBSD: Makefile,v 1.4 2002/07/31 02:15:43 pvalchev Exp $
# $OpenBSD: Makefile,v 1.5 2002/09/04 04:35:19 pvalchev Exp $
COMMENT= "GTK+ Graphical filemanager"
VERSION= 0.11.30
VERSION= 0.11.33
DISTNAME= gentoo-${VERSION}
CATEGORIES= x11
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=gentoo/}
HOMEPAGE= http://www.obsession.se/gentoo/
MAINTAINER= Jim Geovedi <jim@corebsd.or.id>
LIB_DEPENDS= gtk.1.2,gdk.1.2::x11/gtk+ \
glib.1::devel/glib
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=gentoo/}
# GPL
PERMIT_PACKAGE_CDROM= Yes
@ -21,13 +17,20 @@ PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
LIB_DEPENDS= gtk.1.2,gdk.1.2::x11/gtk+ \
glib.1::devel/glib
CONFIGURE_STYLE= gnu
NO_REGRESS= Yes
post-install:
@cd ${WRKSRC} && \
${INSTALL_DATA_DIR} ${PREFIX}/share/doc/gentoo && \
cp -R ${WRKSRC}/docs/* ${PREFIX}/share/doc/gentoo
${INSTALL_MAN} ${WRKSRC}/docs/gentoo.1x ${PREFIX}/man/man1/gentoo.1
.for i in gentoorc gentoogtkrc
${INSTALL_DATA} ${WRKSRC}/$i ${PREFIX}/share/gentoo
.endfor
${INSTALL_DATA_DIR} ${PREFIX}/share/doc/gentoo
@cd ${WRKSRC}/docs && \
tar cf - . | (cd ${PREFIX}/share/doc/gentoo; tar xf -) && \
rm -f ${PREFIX}/share/doc/gentoo/gentoo.1x
.include <bsd.port.mk>

View File

@ -1,3 +1,3 @@
MD5 (gentoo-0.11.30.tar.gz) = b68a9954ea52bdeb0e01b9c181d413b8
RMD160 (gentoo-0.11.30.tar.gz) = eae7d6d8080adf1366933175c22539cc15e7528c
SHA1 (gentoo-0.11.30.tar.gz) = a0adbb0ab97927de7c63fa6ef3c0e8a3380afe38
MD5 (gentoo-0.11.33.tar.gz) = a60980b8519fa500acf7f5ca9237bb01
RMD160 (gentoo-0.11.33.tar.gz) = 05a715a84702a3d7542bc6769976992990c65be2
SHA1 (gentoo-0.11.33.tar.gz) = 66d1a679e686587cac8a7a93b837e48025371600

View File

@ -0,0 +1,25 @@
$OpenBSD: patch-gentoorc_in,v 1.1 2002/09/04 04:35:19 pvalchev Exp $
--- gentoorc.in.orig Sun Sep 1 22:41:40 2002
+++ gentoorc.in Sun Sep 1 22:43:30 2002
@@ -888,7 +888,7 @@
<unselect>FALSE</unselect>
</GetSize>
<Information>
- <use_file>TRUE</use_file>
+ <use_file>FALSE</use_file>
<recurse_dirs>TRUE</recurse_dirs>
<df_access>"%Y-%m-%d %H:%M.%S"</df_access>
<df_modify>"%Y-%m-%d %H:%M.%S"</df_modify>
@@ -2468,9 +2468,9 @@
</HideInfo>
</Paths>
<Mounting>
- <mode>"always"</mode>
- <cmd_mount>"/bin/mount"</cmd_mount>
- <cmd_umount>"/bin/umount"</cmd_umount>
+ <mode>"never"</mode>
+ <cmd_mount>"/sbin/mount"</cmd_mount>
+ <cmd_umount>"/sbin/umount"</cmd_umount>
<check_nlink>TRUE</check_nlink>
<show_stderr>TRUE</show_stderr>
<umount_exit>TRUE</umount_exit>

51
x11/gentoo/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,51 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1 2002/09/04 04:35:19 pvalchev Exp $
#
# De-installation setup of gentoo
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/gentoorc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

74
x11/gentoo/pkg/INSTALL Normal file
View File

@ -0,0 +1,74 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2002/09/04 04:35:19 pvalchev Exp $
#
# Pre/post-installation setup of gentoo
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/gentoorc
SAMPLE_CONFIG_DIR=$PREFIX/share/gentoo
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files,"
echo "|"
echo "| ${CONFIG_FILE}"
echo "|"
echo "| have NOT been changed. You may want to compare them to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/gentoorc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration files,"
echo "|"
echo "| ${CONFIG_FILE}"
echo "|"
echo "| have been installed. Please view these files and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,5 +1,6 @@
@comment $OpenBSD: PLIST,v 1.2 2002/06/10 07:03:26 pvalchev Exp $
@comment $OpenBSD: PLIST,v 1.3 2002/09/04 04:35:19 pvalchev Exp $
bin/gentoo
man/man1/gentoo.1
share/doc/gentoo/FAQ
share/doc/gentoo/acks.html
share/doc/gentoo/buttons.html
@ -14,7 +15,6 @@ share/doc/gentoo/config/index.html
share/doc/gentoo/config/template.html
share/doc/gentoo/contribute.html
share/doc/gentoo/dirpanes.html
share/doc/gentoo/gentoo.1x
share/doc/gentoo/gentoo.css
share/doc/gentoo/gpl.html
share/doc/gentoo/history.html
@ -81,6 +81,8 @@ share/doc/gentoo/template.html
share/doc/gentoo/template_toc.html
share/doc/gentoo/types.html
share/doc/gentoo/usage.html
share/gentoo/gentoogtkrc
share/gentoo/gentoorc
share/gentoo/icons/AbiWord.xpm
share/gentoo/icons/Amiga.xpm
share/gentoo/icons/Animation.xpm
@ -204,6 +206,9 @@ share/gentoo/icons/xbm2.xpm
share/gentoo/icons/xcf.xpm
share/gentoo/icons/xpm.xpm
share/gentoo/icons/xpm2.xpm
share/locale/fr/LC_MESSAGES/gentoo.mo
share/locale/pl/LC_MESSAGES/gentoo.mo
share/locale/sv/LC_MESSAGES/gentoo.mo
@dirrm share/gentoo/icons
@dirrm share/gentoo
@dirrm share/doc/gentoo/scratch